<template>
  <div class="my-12 mx-6">
    <div v-if="store.isBuildingLoading" class="flex items-center justify-center">
      <a-spin></a-spin>
    </div>
    <div v-for="item in store.floors" v-else v-show="item.id === store.selectedFloorId" :key="item.id" class="grid grid-cols-12 gap-4">
      <AreaDialog v-for="area in item.areas" :key="area.id" :area="area" class="col-span-6">
        <div class="relative bg-blue-light border border-grey-default rounded-md p-8 py-40 flex items-center justify-center cursor-pointer">
          <t-span weight="bold" size="text-3xl">
            {{ area.totalPassengers }}
          </t-span>
          <a-icon type="team" class="text-2xl ml-2" />
          <t-span weight="medium" size="text-md" class="absolute bottom-2 left-3 text-black-light">
            Floor: {{ area.name }}
          </t-span>
        </div>
      </AreaDialog>
    </div>
  </div>
</template>

<script>
import { defineComponent } from '@nuxtjs/composition-api'
import { useBuilding } from '~/store/building'
import AreaDialog from '~/components/area/AreaDialog.vue'
import TSpan from '~/components/shared/typography/Span.vue'

export default defineComponent({
  components: { AreaDialog, TSpan },
  setup() {
    const store = useBuilding()
    return { store }
  },
})
</script>
